using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class FloatPropertyName : ShaderPropertyName
  { 
    public void Set( Material material, float value )
    {
      _Set( material, value );
    }

    public float Get( Material material )
    {
      return _Get( material, 0f );
    }

    public static FloatPropertyName Create( string name )
    {
      var fp = new FloatPropertyName(); 
      fp.propertyName = name;
      return fp;
    }
  }
}